Issues Upgrading from 2.3.4 to 2.3.4-p1



  • Hi All,

    I am trying to upgrade our 'cold standby' firewall to the latest available version 2.3.4-p1.

    Via the Pfsense website I have downloaded what is considered to be the 'latest stable version' image which appears to be 2.3.4 and not 2.3.4-p1?

    When I check for updates via the Web console it confirms the current version as 2.3.4 and tells me i'm on the latest version already and can't find any new updates when searching.

    Is version 2.3.4-p1 now unavailable for any reason? Anyone know how to get the correct pfSense-CE-memstick-serial-VERSION-i386.img.gz image for 2.3.4-p1?

    Thanks in advance guys. Fairly new to Pfsense.


  • Rebel Alliance Developer Netgate

    We don't generate CE installers for the patch releases. If you install 2.3.4 it can be updated to 2.3.4-p1 once it is online. It should see the update, assuming it has working connectivity to the Internet and functioning DNS.



  • Sam,

    The below threads may be a different issue but several people couldn't upgrade directly to 2.3.4_1…it kept trying to download 2.3.4 which was no longer on the web site.  The "fix" process might work to get yours looking at the right version.

    https://forum.pfsense.org/index.php?topic=125873.msg695386#msg695386
    ref. from https://forum.pfsense.org/index.php?topic=134042.msg736575


Log in to reply